#ifndef CORE_TESTS_HPP
#define CORE_TESTS_HPP

#include "Test.hpp"

namespace Core {
    void testArrayList(bool light);
    void testArrayString();
    void testArray();
    void testBitArray();
    void testBox();
    void testBuffer(bool light);
    void testBufferedValue();
    void testClock(bool light);
    void testColor();
    void testComponents();
    void testError();
    void testFileReader();
    void testFrustum();
    void testHashMap(bool light);
    void testLinkedList(bool light);
    void testList(bool light);
    void testMath();
    void testMatrixStack(bool light);
    void testMatrix();
    void testNew();
    void testPlane();
    void testProbingHashMap(bool light);
    void testQuaternion();
    void testRandom(bool light);
    void testRingBuffer();
    void testStack(bool light);
    void testThread();
    void testUniquePointer();
    void testUtility();
    void testVector();
    void testView();
}

#endif