#ifndef CORE_ERROR_SIMULATOR_HPP
#define CORE_ERROR_SIMULATOR_HPP

#ifdef ERROR_SIMULATOR
namespace Core::Fail {
    extern bool realloc;
    extern bool fileClose;
    extern bool timeGet;
    extern int leftAllocations;
}
#define CORE_REALLOC_FAIL Core::Fail::realloc
#define CORE_FILE_CLOSE_FAIL Core::Fail::fileClose
#define CORE_TIME_GET_FAIL Core::Fail::timeGet
#else
#define CORE_REALLOC_FAIL false
#define CORE_FILE_CLOSE_FAIL false
#define CORE_TIME_GET_FAIL false
#endif

#endif